%global __brp_check_rpaths %{nil}
%global __requires_exclude ^libmpi
%global packname  h0
%global packver   1.0.1
%global rlibdir   /usr/local/lib/R/library

Name:             R-CRAN-%{packname}
Version:          1.0.1
Release:          1%{?dist}%{?buildtag}
Summary:          A Robust Bayesian Meta-Analysis for Estimating the Hubble Constant via Time Delay Cosmography

License:          GPL-2
URL:              https://cran.r-project.org/package=%{packname}
Source0:          %{url}&version=%{packver}#/%{packname}_%{packver}.tar.gz


BuildRequires:    R-devel >= 2.2.0
Requires:         R-core >= 2.2.0
BuildArch:        noarch

%description
We provide a toolbox to conduct a Bayesian meta-analysis for estimating
the current expansion rate of the Universe, called the Hubble constant H0,
via time delay cosmography. The input data are Fermat potential difference
and time delay estimates. For a robust inference, we assume a Student's t
error for these inputs. Given these inputs, the meta-analysis produces
posterior samples of the model parameters including the Hubble constant
via Metropolis-Hastings within Gibbs. The package provides an option to
implement repelling-attracting Metropolis-Hastings within Gibbs in a case
where the parameter space has multiple modes.

%prep
%setup -q -c -n %{packname}

# fix end of executable files
find -type f -executable -exec grep -Iq . {} \; -exec sed -i -e '$a\' {} \;
# prevent binary stripping
[ -d %{packname}/src ] && find %{packname}/src -type f -exec \
  sed -i 's@/usr/bin/strip@/usr/bin/true@g' {} \; || true
[ -d %{packname}/src ] && find %{packname}/src/Make* -type f -exec \
  sed -i 's@-g0@@g' {} \; || true
# don't allow local prefix in executable scripts
find -type f -executable -exec sed -Ei 's@#!( )*/usr/local/bin@#!/usr/bin@g' {} \;

%build

%install

mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css
# remove buildroot from installed files
find %{buildroot}%{rlibdir} -type f -exec sed -i "s@%{buildroot}@@g" {} \;

%files
%{rlibdir}/%{packname}
